# Generated from dco-1.0.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name dco

Name: rubygem-%{gem_name}
Version: 1.0.1
Release: 1%{?dist}
Summary: A command line tool to help manage Developer Certificate of Origin projects
License: Apache-2.0
URL: https://github.com/coderanger/dco
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 3.2
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rspec-command) >= 1.0
# BuildRequires: rubygem(rspec-command) < 2
# BuildRequires: rubygem(fuubar) >= 2.0
# BuildRequires: rubygem(fuubar) < 3
# BuildRequires: rubygem(simplecov) >= 0.9
# BuildRequires: rubygem(simplecov) < 1
# BuildRequires: rubygem(yard) >= 0.8
# BuildRequires: rubygem(yard) < 1
# BuildRequires: rubygem(codecov)
# BuildRequires: rubygem(codecov) < 1
# BuildRequires: rubygem(codecov) >= 0.0.2
# BuildRequires: rubygem(pry)
BuildArch: noarch

%description
A command line tool to help manage Developer Certificate of Origin projects.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/dco
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%exclude %{gem_instdir}/.yardopts
%license %{gem_instdir}/LICENSE
%{gem_instdir}/appveyor.yml
%{gem_instdir}/bin
%{gem_instdir}/gemfiles
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/dco.gemspec
%{gem_instdir}/spec

%changelog
* Mon Apr 18 2022 mockbuilder - 1.0.1-1
- Initial package
